summaryrefslogtreecommitdiff
path: root/debian/libpam-modules.preinst
Commit message (Collapse)AuthorAge
* Restart services on upgrade to 1.4.0. Closes: #978555.Steve Langasek2020-12-28
|
* Bump the version check for service restarts to 1.3.1-2. Closes: #922178.Steve Langasek2019-02-12
|
* bump the maintainer script version check to 1.1.3-2Steve Langasek2019-01-08
|
* bump the minimum version check in maintainer scripts for the restartSteve Langasek2019-01-08
| | | | handling.
* Document the new symbols added in 1.1.1 in debian/libpam0g.symbols, andSteve Langasek2019-01-08
| | | | | raise the minimum version for the service restarting code. Closes: #568480.
* And bump the version checks in the libpam-modules {pre,post}inst, so thatSteve Langasek2019-01-08
| | | | | the necessary services get restarted for any modules that need the new symbols.
* have libpam-modules Pre-Depend on ${misc:Depends} and add a debconf question toSteve Langasek2019-01-03
the libpam-modules preinst, so we can reliably warn users about xscreensaver and xlockmore before libpam-modules is unpacked; at the same time, clean up the text of the libpam0g debconf template to not refer to the screensavers.